const express = require('express');
const app = express();

// 解析 JSON 请求体
app.use(express.json());

// 收集前端 JavaScript 日志的接口
app.post('/log', (req, res) => {
  const logData = req.body;

  // 在控制台输出日志数据
  console.log('Received log:', logData);

  // 返回成功响应
  res.status(200).send('Log received');
});

// 启动服务，监听 3000 端口
const PORT = 3000;
app.listen(PORT, () => {
  console.log(`Server running on http://localhost:${PORT}`);
});